﻿@model HomeViewModel
@{
    ViewBag.Title = "خرید و فروش بیت کوین، اتریوم و ارزهای دیجیتالی";
    ViewBag.MetaKeywords = "بیت کوین، خرید بیت کوین، فروش بیت کوین، خرید و فروش بیت کوین، اتریوم، خرید اتریوم، فروش اتریوم، خرید سریع اتریوم، قیمت بیت کوین، قیمت اتریوم، تبدیل بیت کوین به ریال";
    ViewBag.MetaDescription = "خرید بیت کوین و فروش بیت کوین، خرید اتریوم و فروش اتریوم، خرید ووچر پرفکت مانی و فروش ووچر پرفکت مانی، لایت کوین، رپل و ارزهای دیجیتالی دیگر با بهترین نرخ تبدیل و قیمت به نسبت تومان و ریال";
    var selectedFrom = "";
    if (Request.Cookies["exchangeFrom"] != null)
    {
        selectedFrom = Request.Cookies["exchangeFrom"].Value;
    }
    var selectedTo = "";
    if (Request.Cookies["exchangeTo"] != null)
    {
        selectedTo = Request.Cookies["exchangeTo"].Value;
    }
    var CurrencyTypes = Model.ToCurrencyTypes.Where(p => !p.Disabled).ToList();
    var shetab = Model.ToCurrencyTypes.Where(p => p.Type == Xtoman.Domain.Models.ECurrencyType.Shetab).FirstOrDefault();
}

@section head{
    @Styles.Render("~/css/owl-carousel")
    <link href="~/Styles/Pages/Home.css" rel="stylesheet" />
}

<div id="particles">
</div>
<section class="pt-2 mb-2">
    <div class="container">
        <div class="row mt-2 mb-4">
            <div class="col-md-12 text-center">
                <h1 class="title">خرید و فروش <span style="color:#ff5630; font-weight:bolder;">بیت کوین</span> و ارزهای دیجیتالی</h1>
                <h2 class="subtitle">خرید و فروش بیت کوین و ارزهای دیجیتالی آسان، اتوماتیک، سریع و ایمن</h2>
            </div>
        </div>
    </div>
</section>

<section class="mt-5 mb-5">
    <div class="container">
        <form id="homeExchangeForm" method="get" action="@Url.Action("Index", "Exchange")">
            <div class="row exchange-picker" id="exchange-picker">
                <div class="col-md-4 col-sm-12 mt-2">
                    <h4>پرداخت</h4>
                    <div class="card" id="fromCard">
                        <div class="card-block">
                            <div class="card-text">
                                @{
                                    var firstFrom = Model.FromCurrencyTypes.Where(p => !p.Disabled).FirstOrDefault();
                                    var firstFromId = firstFrom.Id;
                                    var fromAddon = "";
                                }
                                <select id="from" name="from" class="selectpicker" data-live-search="true" data-mobile="@(Request.IsMobileBrowser() ? "true" : "false")">
                                    @for (int i = 0; i < Model.FromCurrencyTypes.Count; i++)
                                    {
                                        var item = Model.FromCurrencyTypes[i];
                                        if (!item.Disabled)
                                        {
                                            if (selectedFrom.HasValue() && selectedFrom == item.Id.ToString()) { fromAddon = item.UnitSign; }
                                            //var dataContent = item.ImageSrc.HasValue() ? $"<img alt='{item.Name}' src='{item.ImageSrc}'/> {item.Name}" : item.Name;
                                            var selectedFromAttr = selectedFrom.HasValue() && selectedFrom == item.Id.ToString() ? " selected=\"selected\"" : "";
                                            <option value="@item.Id" @selectedFromAttr data-tokens="@item.Name @item.AlternativeName @item.UnitSign" data-selection="<img alt='@item.Name' src='@Html.StaticContent($"/Content/img/لوگو-{item.Url}.png")'/> <b>@item.UnitSign</b> | <span>@item.Name</span>" data-content="<img style='max-height:32px;' alt='@item.Name' src='@Html.StaticContent($"/Content/img/لوگو-{item.Url}.png")'/> @item.UnitSign | <small >@item.Type.ToDisplay(DisplayProperty.Prompt) | @item.Type.ToDisplay()</small>" data-unitsign="@item.UnitSign" data-step="@item.Step" data-url="@item.Url" @(item.Disabled ? "disabled" : "")>@item.Name</option>
                                        }
                                    }
                                </select>
                                <div class="input-group">
                                    <input type="number" id="fromamount" name="fromamount" class="form-control" placeholder="مقدار پرداخت شما" aria-label="مقدار پرداخت شما" aria-describedby="fromaddon" min="@firstFrom.Min" step="@firstFrom.Step">
                                    <span class="input-group-addon" id="fromaddon">@(fromAddon.HasValue() ? fromAddon : firstFrom.UnitSign)</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="loading-overlay">
                        <img src="@Html.StaticContent("/Content/img/loading.gif")" class="loading-img" />
                    </div>
                </div>
                <div class="col-md-4 col-sm-12 mt-2">
                    <h4>دریافت</h4>
                    <div class="card" id="toCard">
                        <div class="card-block">
                            <div class="card-text">
                                @{
                                    var firstTo = Model.ToCurrencyTypes.Where(p => !p.Disabled).FirstOrDefault();
                                    var firstToId = firstTo.Id;
                                    var toAddon = "";
                                }
                                <select id="to" name="to" class="selectpicker" data-live-search="true" data-mobile="@(Request.IsMobileBrowser() ? "true" : "false")">
                                    @for (int i = 0; i < Model.ToCurrencyTypes.Count; i++)
                                    {
                                        var item = Model.ToCurrencyTypes[i];
                                        if (!item.Disabled)
                                        {
                                            if (selectedTo.HasValue() && selectedTo == item.Id.ToString()) { toAddon = item.UnitSign; }
                                            //var dataContent = item.ImageSrc.HasValue() ? $"<img alt='{item.Name}' src='{item.ImageSrc}'/> {item.Name}" : item.Name;
                                            var selectedToAttr = selectedTo.HasValue() && selectedTo == item.Id.ToString() ? " selected=\"selected\"" : "";
                                            <option value="@item.Id" @selectedToAttr data-tokens="@item.Name @item.AlternativeName @item.UnitSign" data-selection="<img alt='@item.Name' src='@Html.StaticContent($"/Content/img/لوگو-{item.Url}.png")'/> <b>@item.UnitSign</b> | <span>@item.Name</span>" data-content="<img style='max-height:32px;' alt='@item.Name' src='@Html.StaticContent($"/Content/img/لوگو-{item.Url}.png")'/> @item.UnitSign | <small >@item.Type.ToDisplay(DisplayProperty.Prompt) | @item.Type.ToDisplay()</small>" data-unitsign="@item.UnitSign" data-step="@item.Step" data-url="@item.Url" @(item.Disabled ? "disabled" : "")>@item.Name</option>
                                        }
                                    }
                                </select>
                                <div class="input-group">
                                    <input type="number" id="toamount" name="toamount" class="form-control" placeholder="مقدار دریافت شما" aria-label="مقدار دریافت شما" aria-describedby="toaddon" min="@firstTo.Min" step="@firstTo.Step">
                                    <span class="input-group-addon" id="toaddon">@(toAddon.HasValue() ? toAddon : firstTo.UnitSign)</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="loading-overlay">
                        <img src="@Html.StaticContent("/Content/img/loading.gif")" class="loading-img" />
                    </div>
                </div>
                <div class="col-md-4 col-sm-12 mt-2">
                    <h4>مبادله <a href="#" onclick="swapExchange(); return false" class="btn btn-sm btn-info pull-right" data-toggle="tooltip" title="مبادله برعکس"><span class="fa fa-exchange"></span></a></h4>
                    <div class="card">
                        <div class="card-block">
                            <div class="card-text">
                                @{ var defaultExchange = Model.ExchangeTypes.Where(p => p.FromCurrencyId == firstFromId && p.ToCurrencyId == firstToId).SingleOrDefault(); }
                                <a href="#" onclick="getExchangeRate(); return false" class="btn btn-outline-primary btn-sm btn-block mb-1"><span class="fas fa-sync"></span> به روز رسانی نرخ تبدیل</a>
                                <p>
                                    <strong>نرخ تبدیل <i class="fa fa-question-circle" data-toggle="tooltip" title="نرخ فعلی اعلام شده فقط به مدت 15 دقیقه بعد از ثبت سفارش معتبر است و تنها در صورتی که پرداخت شما در این مدت انجام شود تضمین می شود، پس از آن ممکن است نرخ تبدیل تغییر کند."></i>: </strong>
                                    <span id="rateContainer"></span>
                                </p>
                                <a href="#" id="exchangeBtn" class="btn btn-lead btn-lg btn-block" onclick="submitExchange(); return false">تبدیل</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</section>
<section id="balanceContainer">
    <div class="container">
        <h4>موجودی ما</h4>
        <div id="balanceCarousel" class="owl-carousel owl-theme">
            @foreach (var item in CurrencyTypes)
            {
                <div>
                    <div class="card text-center">
                        <div class="card-body p-2">
                            @{
                                var buyHref = "";
                                var sellHref = "";
                                if (item.Url != "شتاب-تومان-ریال")
                                {
                                    buyHref = Url.RouteUrl("ExchangeBuy", new { toUrl = item.Url });
                                    sellHref = Url.RouteUrl("ExchangeSell", new { fromUrl = item.Url });
                                }
                                else
                                {
                                    buyHref = Url.Action("Index", "Currency");
                                }
                            }
                            <img class="img-fluid mt-1" style="max-height:50px; max-width:50px;" src="@Html.StaticContent($"/Content/img/لوگو-{item.Url}.png")" alt="@item.Type.ToDisplay(DisplayProperty.Prompt)">
                            <p style="direction:ltr;">
                                <span>@item.Name</span><br />
                                <div class="d-block">
                                    <small class="Available-@item.Type.ToDisplay(DisplayProperty.ShortName)">
                                    </small>
                                </div>
                                <div class="btn-group btn-group-justified">
                                    @if (item.Url != "شتاب-تومان-ریال")
                                    {
                                        <a class="btn btn-sm btn-block btn-outline-success" href="@buyHref" title="خرید @item.Name (@item.UnitSign)" data-toggle="tooltip">
                                            <i class="fas fa-arrow-alt-from-top"></i>
                                        </a>
                                    }
                                    else
                                    {
                                        <a class="btn btn-sm btn-block btn-outline-primary" href="@Url.Action("Index", "Currency")" title="مشاهده لیست کامل" data-toggle="tooltip">
                                            لیست ارزهای قابل خرید
                                        </a>
                                    }
                                    @if (sellHref.HasValue())
                                    {
                                        <a class="btn btn-sm btn-block btn-outline-danger" href="@sellHref" title="فروش @item.Name (@item.UnitSign)" data-toggle="tooltip">
                                            <i class="fas fa-arrow-alt-from-bottom"></i>
                                        </a>
                                    }
                                    @if (item.Url != "شتاب-تومان-ریال")
                                    {
                                        <a class="btn btn-sm btn-block btn-outline-primary" href="@Url.RouteUrl("CurrencyType", new { url = item.Url })" title="درباره @item.Name (@item.UnitSign)" data-toggle="tooltip">
                                            <i class="fas fa-info"></i>
                                        </a>
                                    }
                                </div>
                            </p>
                        </div>
                    </div>
                </div>
            }
        </div>
        <div class="fluid-paragraph text-center mt-5">
            <p class="text-small">
                <strong class="text-primary">*بهتر است بدانید!</strong> شما تنها محدود به همین موجودی فعلی نیستید. اکس تومن از کیف پول سرد برای نگهداری موجودی اصلی بیت کوین، اتریوم، ریپل، پرفکت مانی و ارزهای دیجیتالی خود استفاده می کند. اگر موجودی فعلی کافی نیست، احساس راحتی کنید و برای درخواست موجودی بیشتر از ما سوال کنید.
            </p>
        </div>
    </div>
</section>
<section class="mt-5 py-5 pt-5 bg-light">
    <div class="container">
        <div class="row">
            <div class="col-md-4 text-center">
                <h4>ایمن</h4>
                <img class="img img-fluid" src="@Html.StaticContent("/Content/img/خرید-و-فروش-بیت-کوین-به-صورت-ایمن.svg")" onerror="this.src='/Content/img/خرید-و-فروش-بیت-کوین-به-صورت-ایمن.png'" data-fallback="/Content/img/خرید-و-فروش-بیت-کوین-به-صورت-ایمن.png">
                <p>اکس تومن خرید و فروش ایمن و قیمت های عادلانه را برای مشتریان خود تضمین می کند.</p>
            </div>
            <div class="col-md-4 text-center">
                <h4>سریع</h4>
                <img class="img img-fluid" src="@Html.StaticContent("/Content/img/خرید-و-فروش-سریع-بیت-کوین.svg")" onerror="this.src='/Content/img/خرید-فروش-سریع-بیت-کوین.png'" data-fallback="/Content/img/خرید-فروش-سریع-بیت-کوین.png" alt="خرید و فورش سریع بیت کوین">
                <p>
                    مبلغ را وارد کنید. انتقال را انجام دهید و ارز جدید را در کمترین زمان ممکن در کیف پول خود داشته باشید.
                </p>
            </div>
            <div class="col-md-4 text-center">
                <h4>اتوماتیک</h4>
                <img class="img img-fluid" src="@Html.StaticContent("/Content/img/خرید-و-فروش-اتوماتیک-بیت-کوین.svg")" onerror="this.src='/Content/img/خرید-فروش-اتوماتیک-بیت-کوین.png'" data-fallback="/Content/img/خرید-فروش-اتوماتیک-بیت-کوین.png" alt="خرید و فروش اتوماتیک بیت کوین">
                <p>تبادل ایمن و سریع پول های الکترونیکی تنها با سیستم کاملا اتوماتیک امکان پذیر و لذت بخش است که ما آن را برای مشتریان خود فراهم کرده ایم.</p>
            </div>
        </div>
    </div>
</section>

<!-- Statistics -->
<section class="mt-3 py-5 pt-3 slice slice-lg">
    <div class="container">
        <div class="mb-5">
            <h4 class="page-title mt-4"><span>آمار 24 ساعت گذشته</span></h4>
        </div>
        <div class="row text-center">
            <div class="col-lg-4 col-sm-6">
                <div class="mb-4">
                    <div class="py-5">
                        <div class="icon text-primary">
                            <i class="fas fa-user-plus"></i>
                        </div>
                    </div>
                    <h5 class="">کاربر جدید</h5>
                    <p class="mt-2 mb-0" style="font-size:48px;">@Model.NewUsersCountPast24</p>
                </div>
            </div>
            <div class="col-lg-4 col-sm-6">
                <div class="mb-4">
                    <div class="py-5">
                        <div class="icon text-primary">
                            <i class="far fa-layer-group"></i>
                        </div>
                    </div>
                    <h5 class="">سفارش های تکمیل شده</h5>
                    <p class=" mt-2 mb-0" style="font-size:48px;">@Model.OrdersCountPast24</p>
                </div>
            </div>
            <div class="col-lg-4 col-sm-6">
                <div class="mb-4">
                    <div class="py-5">
                        <div class="icon text-primary">
                            <i class="fas fa-exchange"></i>
                        </div>
                    </div>
                    <h5 class="">بیشترین تبدیل</h5>
                    @if (Model.TopExchangePast24 != null)
                    {
                        var top24href = "";
                        var top24text = "";
                        if (Model.TopExchangePast24.FromCurrencyId == shetab.Id)
                        {
                            top24text = "خرید " + Model.TopExchangePast24.ToCurrencyName;
                            top24href = Url.RouteUrl("ExchangeBuy", new { toUrl = Model.TopExchangePast24.ToCurrencyUrl });
                        }
                        else if (Model.TopExchangePast24.ToCurrencyId == shetab.Id)
                        {
                            top24text = "فروش " + Model.TopExchangePast24.FromCurrencyName;
                            top24href = Url.RouteUrl("ExchangeSell", new { fromUrl = Model.TopExchangePast24.FromCurrencyUrl });
                        }
                        else
                        {
                            top24text = "تبدیل " + Model.TopExchangePast24.FromCurrencyName + " به " + Model.TopExchangePast24.ToCurrencyName;
                            top24href = Url.RouteUrl("Exchange", new { fromUrl = Model.TopExchangePast24.FromCurrencyUrl, toUrl = Model.TopExchangePast24.ToCurrencyUrl });
                        }
                        <p class="mt-2 mb-0" style="font-size:24px;">
                            <a href="@top24href">
                                <img class="filter-white" alt="@Model.TopExchangePast24.FromCurrencyType.ToDisplay(DisplayProperty.Prompt) لوگو" src="@Html.StaticContent($"/Content/img/لوگو-{Model.TopExchangePast24.FromCurrencyUrl}.png")" style="max-height: 50px;">
                                <i class="fa fa-angle-left"></i>
                                <img class="filter-white" alt="@Model.TopExchangePast24.ToCurrencyType.ToDisplay(DisplayProperty.Prompt) لوگو" src="@Html.StaticContent($"/Content/img/لوگو-{Model.TopExchangePast24.ToCurrencyUrl}.png")" style="max-height: 50px;">
                            </a>
                        </p>
                        <p><a href="@top24href">@top24text</a></p>
                    }
                    else
                    {
                        var bitcoin = Model.ToCurrencyTypes.Where(p => p.Type == Xtoman.Domain.Models.ECurrencyType.Bitcoin).FirstOrDefault();
                        <p class="mt-2 mb-0" style="font-size:24px;">
                            <a href="@Url.RouteUrl("ExchangeSell", new { fromUrl = "بیت-کوین" })">
                                <img class="filter-white" alt="@bitcoin.Type.ToDisplay(DisplayProperty.Prompt) Logo" src="@Html.StaticContent($"/Content/img/لوگو-{bitcoin.Url}.png")" style="max-height: 50px;">
                                <i class="fa fa-angle-left"></i>
                                <img class="filter-white" alt="@shetab.Type.ToDisplay(DisplayProperty.Prompt) Logo" src="@Html.StaticContent($"/Content/img/لوگو-{shetab.Url}.png")" style="max-height: 50px;">
                            </a>
                        </p>
                        <p><a href="@Url.RouteUrl("ExchangeSell", new { fromUrl = "بیت-کوین" })">فروش بیت کوین</a></p>
                    }
                </div>
            </div>
        </div>
    </div>
</section>

<!-- Blog -->
<section class="pt-5 slice slice-lg bg-section-secondary">
    <div class="container">
        <div class="mb-5">
            @*<h3 class=" mt-4">آخرین مطالب وبلاگ</h3>*@
            <h4 class="page-title"><span>آخرین مطالب وبلاگ</span></h4>
            <div class="fluid-paragraph mt-3">
                <p class="lead lh-180">مهم ترین عناوین و مطالب به روز در ارتباط با دنیای رمز ارزها و ارزهای دیجیتالی</p>
            </div>
        </div>
        <div class="row">
            @foreach (var item in Model.LatestPosts)
            {
                <div class="col-lg-4">
                    <div class="card hover-shadow-lg hover-translate-y-n10">
                        @if (item.Media != null)
                        {
                            <a href="@Url.RouteUrl("SinglePost", new { url = item.Url })">
                                <img alt="@(item.Media.Alt.HasValue() ? item.Media.Alt : item.Title)" src="@item.Media.Thumbnails.ImgSrc("post.large")" class="card-img-top">
                            </a>
                        }
                        <div class="card-body py-5 text-center">
                            <a href="@Url.RouteUrl("SinglePost", new { url = item.Url })" class="d-block h5 lh-150">@item.Title</a>
                            @if (item.Summary.HasValue())
                            {
                                <p>@item.Summary</p>
                            }
                            @if (item.PublishDate.HasValue)
                            {
                                <h6 class="text-muted mt-4 mb-0">@item.PublishDate.Value.ToFaDateTimeZone()</h6>
                            }
                        </div>
                        <div class="card-footer delimiter-top">
                            <div class="row">
                                <div class="col text-center">
                                    <ul class="list-inline mb-0">
                                        <li class="list-inline-item pr-4">
                                            <a href="@Url.RouteUrl("SinglePost", new { url = item.Url })#Share" class="text-muted" data-toggle="tooltip" title="اشتراک گذاشته شده"><i class="far fa-share mr-1 text-muted"></i> 0</a>
                                        </li>
                                        <li class="list-inline-item pr-4">
                                            <a href="@Url.RouteUrl("SinglePost", new { url = item.Url })" class="text-muted" data-toggle="tooltip" title="تعداد بازدید"><i class="far fa-eye mr-1 text-muted"></i> @item.VisitCount</a>
                                        </li>
                                        <li class="list-inline-item">
                                            <a href="@Url.RouteUrl("SinglePost", new { url = item.Url })#Comments" class="text-muted" data-toggle="tooltip" title="نظرها"><i class="far fa-comments mr-1 text-muted"></i> @item.ApprovedCommentsCount</a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            }
        </div>
    </div>
</section>

<!-- Testimonials -->
<section class="slice slice-lg bg-section-primary">
    <div class="container">
        <div class="mb-5">
            <h4 class="mt-5 page-title"><span>مشتریان ما چه گفته اند؟</span></h4>
            <div class="fluid-paragraph mt-3">
                <p class="lead lh-180">مبادله سریع، آسان و ایمن را با اکس تومن تجربه کنید.</p>
            </div>
        </div>
        <div class="row justify-content-center">
            <div class="col-lg-12">
                <div id="reviewCarousel" class="owl-carousel owl-theme">
                    @foreach (var review in Model.Reviews)
                    {
                        <div itemprop="review" itemscope itemtype="http://schema.org/Review">
                            <div class="card card-review">
                                <div class="card-body">
                                    <div class="d-flex align-items-center">
                                        <div class="pl-3">
                                            <h5 class="h6 mb-0 ltr">@review.OrderUserUserName.HideSomeStringChars()</h5>
                                            @if ((review.OrderUserFirstName + " " + review.OrderUserLastName).HasValue())
                                            {
                                                <small class="d-block text-muted">@((review.OrderUserFirstName + " " + review.OrderUserLastName).Trim())</small>
                                            }
                                        </div>
                                    </div>
                                    <p class="mt-4 lh-180" itemprop="description">@review.Text.Trim()</p>
                                    @*<div class="rateResult" data-rate-value="@review.VoteRate"></div>*@
                                    <div itemprop="reviewRating" itemscope itemtype="http://schema.org/Rating">
                                        <select id="ShowRate" class="ShowRate">
                                            @for (int i = 1; i <= 5; i++)
                                            {
                                                <option value="@i" @(i == review.VoteRate ? "selected" : "")>@i</option>
                                            }
                                        </select>
                                    </div>
                                    <meta itemprop="worstRating" content="1" />
                                    <meta itemprop="ratingValue" content="@review.VoteRate" />
                                    <meta itemprop="bestRating" content="5" />
                                    @if (review.OrderExchangeFromCurrency != null && review.OrderExchangeToCurrency != null)
                                    {
                                        var reviewExchangeHref = "";
                                        var reviewExchangeText = "";
                                        if (review.OrderExchangeFromCurrency.Id == shetab.Id)
                                        {
                                            reviewExchangeText = "خرید " + review.OrderExchangeToCurrency.Name;
                                            reviewExchangeHref = Url.RouteUrl("ExchangeBuy", new { toUrl = review.OrderExchangeToCurrency.Url });
                                        }
                                        else if (review.OrderExchangeToCurrency.Id == shetab.Id)
                                        {
                                            reviewExchangeText = "فروش " + review.OrderExchangeFromCurrency.Name;
                                            reviewExchangeHref = Url.RouteUrl("ExchangeSell", new { fromUrl = review.OrderExchangeFromCurrency.Url });
                                        }
                                        else
                                        {
                                            reviewExchangeText = "تبدیل " + review.OrderExchangeFromCurrency.Name + " به " + review.OrderExchangeToCurrency.Name;
                                            reviewExchangeHref = Url.RouteUrl("Exchange", new { fromUrl = review.OrderExchangeFromCurrency.Url, toUrl = review.OrderExchangeToCurrency.Url });
                                        }
                                        <p class="mt-2 mb-0" style="font-size:24px;">
                                            <a href="@reviewExchangeHref">
                                                <img class="filter-white" alt="@review.OrderExchangeFromCurrency.Type.ToDisplay(DisplayProperty.Prompt) لوگو" src="@Html.StaticContent($"/Content/img/لوگو-{review.OrderExchangeFromCurrency.Url}.png")" style="max-height: 30px; max-width:30px;">
                                                <i class="fa fa-angle-left"></i>
                                                <img class="filter-white" alt="@review.OrderExchangeToCurrency.Type.ToDisplay(DisplayProperty.Prompt) لوگو" src="@Html.StaticContent($"/Content/img/لوگو-{review.OrderExchangeToCurrency.Url}.png")" style="max-height: 30px; max-width:30px;">
                                            </a>
                                        </p>
                                        <p><a href="@reviewExchangeHref">@reviewExchangeText</a></p>
                                    }
                                </div>
                            </div>
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</section>

@section scripts{
    @Scripts.Render("~/js/owl-carousel")
    <script>
        var rateUrl = "@Url.Action("Rate","Exchange")";
        var balanceUrl = "@Url.Action("Index","Balance")";
        var shetabId = @Model.FromCurrencyTypes.Where(p => p.Type == Xtoman.Domain.Models.ECurrencyType.Shetab).Select(p => p.Id).FirstOrDefault();
        $(document).ready(function () {
            $('[id*="Carousel"]').owlCarousel({
                rtl: true,
                loop: true,
                autoplay: true,
                autoplayHoverPause: false,
                margin: 20,
                stagePadding: 1,
                rewind: false,
                dots: false,
                nav: true,
                navText: ["<i class='fa fa-2x fa-chevron-left float-left d-none d-md-block'></i>", "<i class='fa fa-2x fa-chevron-right float-right d-none d-md-block'></i>"],
                responsive: {
                    0: {
                        items: 1
                    },
                    400: {
                        items: 2
                    },
                    600: {
                        items: 3
                    },
                    1000: {
                        items: 4
                    }
                }
            });

            getExchangeRate();
            getAllBalances();
            previousTo = $('#to').val();
            previousFrom = $('#from').val();
        });

        function submitExchange() {
            var toId = $('#to').select2('val');
            var fromId = $('#from').select2('val');
            var toUrl = $('#to option:selected').data('url');
            var fromUrl = $('#from option:selected').data('url');
            var amount = isFromAmount ? $('#fromamount').val() : $('#toamount').val();
            var isFromAmountNum = isFromAmount ? "1" : "0";
            var url = "/Exchange/" + fromUrl + "-به-" + toUrl;
            if (toId == shetabId) {
                url = "/Exchange/فروش-" + fromUrl;
            }
            if (fromId == shetabId) {
                url = "/Exchange/خرید-" + toUrl;
            }
            if (amount && amount > 0) {
                url += "/" + amount + "/" + isFromAmountNum;
            }
            window.location = url;
        }

        $('body').on('submit', '#homeExchangeForm', function (e) {
            e.preventDefault();
            alert("HomeExchangeFormSubmit");
            var from = $('#from').val();
            var to = $('#to').val();
            var amount = isFromAmount ? $('#fromamount').val() : $('#toamount').val();
            window.location = "/Exchange/" + from + "-به-" + to + "/" + amount;
        });
    </script>
}
